Package io.papermc.paper.tag

# Class EntityTags

java.lang.Object
io.papermc.paper.tag.EntityTags

public class EntityTags extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EntitySetTag`
`HORSES`
Covers all horses
`static final EntitySetTag`
`MINECARTS`
Covers all minecarts
`static final EntitySetTag`
`SPLITTING_MOBS`
Covers mobs that split into smaller mobs
`static final EntitySetTag`
`UNDEADS`
Covers undead mobs
`static final EntitySetTag`
`WATER_BASED`
Covers all water based mobs

## Constructor Summary

Constructors
Constructor
Description
`EntityTags()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNDEADS

public static final EntitySetTag UNDEADS
Covers undead mobs

See Also:
  - https://minecraft.gamepedia.com/Mob#Undead_mobs

### HORSES

public static final EntitySetTag HORSES
Covers all horses

### MINECARTS

public static final EntitySetTag MINECARTS
Covers all minecarts

### SPLITTING_MOBS

public static final EntitySetTag SPLITTING_MOBS
Covers mobs that split into smaller mobs

### WATER_BASED

public static final EntitySetTag WATER_BASED
Covers all water based mobs

See Also:
  - https://minecraft.gamepedia.com/Mob#Water-based_mobs

## Constructor Details

### EntityTags

public EntityTags()